Story # 11958 (Resolved): Check loose ends in FLOW3

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2011-01-14 Assigned To: Sebastian Kurfuerst
Updated: 2011-05-06 Due date:
Subject: Improve Fluid Resource Interceptor Performance
Description

While I profiled the welcome package, I noticed that much time was spent during preg_match -- see attached screenshot "before". A
quick drill-down showed that this was almost fully spent in the resource interceptor of fluid (99,2% of the time).

That's why I decided to optimize the RegEx a little bit, and add an early return which covers most cases, leading to a much improved
behavior (see attached screenshot "after").

History
#1 - 2011-01-14 08:50 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2011-01-14 08:58 - Sebastian Kurfuerst
- File before.png added
- File after-1.png added
- File 4d3000a0eb439.xhprof_foo added
- File 4d2fff204c9bd.xhprof_foo added

#3 - 2011-01-14 09:05 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#4 - 2011-02-02 06:12 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

Files
before.png 178.2 kB 2011-01-14 Sebastian Kurfuerst
after-1.png 168.7 kB 2011-01-14 Sebastian Kurfuerst
4d3000a0eb439.xhprof_foo 489.2 kB 2011-01-14 Sebastian Kurfuerst
4d2fff204c9bd.xhprof_foo 488.6 kB 2011-01-14 Sebastian Kurfuerst
